## TextExpander

TextExpander is a custom component to display a text expander number list

Text
Characters
Words
Expander defaults to number of characters when set to 0.
Expand Text
Shrink Text
Expanded
Ellipsis

### Import

    import {{'{'}}FuiTextExpanderModule{{'}'}} from 'fuel-ui'; //module
    import {{'{'}}TextExpander{{'}'}} from 'fuel-ui'; //class

### Getting Started

TextExpander is a custom element to show an interactive list of page numbers to use for paging

### Usage

<tabset>

    <text-expander
        [(expanded)]="expanded"
        [ellipsis]="ellipsis"
        [text]="text"
        [words]="words"
        [characters]="characters"
        [expandText]="expandText"
        [shrinkText]="shrinkText">
    </text-expander>

    export class TextExpanderExample {{'{'}}
        expanded: boolean = false;
        ellipsis: boolean = true;
        text: string = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum sed " +
                        "massa sed odio gravida iaculis. Sed elementum dapibus neque, sit.";
        characters: number = 50;
        words: number = 0;
        expandText: string = "Show more";
        shrinkText: string = "Show less";
    {{'}'}}

</tabset>

### Attributes

Loading table...

### Events

Loading table...